package com.fr.solution.plugin.better.sql;

import com.fr.base.TableData;
import com.fr.data.impl.DBTableData;
import com.fr.design.data.tabledata.tabledatapane.AbstractTableDataPane;
import com.fr.design.fun.ServerTableDataDefineProvider;
import com.fr.design.fun.impl.AbstractTableDataDefineProvider;
import com.fr.design.i18n.Toolkit;
import com.fr.solution.plugin.better.sql.editor.BetterDBTableDataPane;

/**
 * @author richie
 * @date 2015-06-04
 * @since 8.0
 */
public class BetterDBTableDataBridge extends AbstractTableDataDefineProvider implements ServerTableDataDefineProvider {

    @Override
    public Class<? extends TableData> classForTableData() {
        return DBTableData.class;
    }

    @Override
    public Class<? extends TableData> classForInitTableData() {
        return DBTableData.class;
    }

    @Override
    public Class<? extends AbstractTableDataPane> appearanceForTableData() {
        return BetterDBTableDataPane.class;
    }

    @Override
    public String nameForTableData() {
        return Toolkit.i18nText("Plugin-Better_SQL_Editor_Database_Query");
    }

    @Override
    public String prefixForTableData() {
        return "ds";
    }

    @Override
    public String iconPathForTableData() {
        return "/com/fr/design/images/data/database.png";
    }
}