package com.fr.solution.plugin.better.sql.editor;

import com.fr.design.data.datapane.sqlpane.SQLEditPane;
import com.fr.design.dialog.BasicPane;
import com.fr.design.gui.syntax.ui.rtextarea.RTextScrollPane;
import com.fr.general.Inter;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

import java.awt.*;

/**
 * @author richie
 * @date 2015-06-04
 * @since 8.0
 */
@EnableMetrics
public class FullScreenSQLPane extends BasicPane {


    private SQLEditPane sqlTextPane;


    public FullScreenSQLPane(String text) {
        setLayout(new BorderLayout());
        sqlTextPane = new SQLEditPane();
        sqlTextPane.setText(text);
        RTextScrollPane sqlTextScrollPane = new RTextScrollPane(sqlTextPane);
        sqlTextScrollPane.setLineNumbersEnabled(true);

        add(sqlTextScrollPane, BorderLayout.CENTER);
    }

    @Override
    protected String title4PopupWindow() {
        return Inter.getLocText("Plugin-Better_SQL_Editor");
    }

    @Focus(id = "com.fr.solution.plugin.better.sql.editor", text = "Plugin-Better_SQL_Editor", source = Original.PLUGIN)
    public String getText() {
        return sqlTextPane.getText();
    }
}